#
# spec file for package python-pymediainfo
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pymediainfo
Version:        2.2.0
Release:        lp150.1.3
Summary:        Python wrapper for the mediainfo library
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/sbraz/pymediainfo
Source0:        https://files.pythonhosted.org/packages/source/p/pymediainfo/pymediainfo-%{version}.tar.gz
Source99:       %{name}-rpmlintrc
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  libmediainfo0
Requires:       libmediainfo0
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
This module is a Python wrapper for the mediainfo library.

%prep
%setup -q -n pymediainfo-%{version}
rm -rf pymediainfo.egg-info

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF-8
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python %{_bindir}/py.test -v -k 'not MediaInfoURLTest'

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Sat Nov 11 2017 aloisio@gmx.com
- Update to version 2.2.0
  * Support MediaInfo v17.10
  * Make parse support non-standard library locations (#24)
  * Make parse support pathlib objects (#40)
  * Add PyPy and PyPy3 support
  * Run tests with pytest instead of nose
- Dropped python-pymediainfo-skip_URL_test.patch (skipping network
  test from the command line now)
* Fri Jul  7 2017 aloisio@gmx.com
- Initial package (2.1.9)
